#include <p18cxxx.h>
#include <stdio.h>
#include <delays.h>
#include "LCD.h"
#include "delay.h"
#pragma config OSC = INTIO2  //Internal oscillator
#pragma config IESO = OFF
#pragma config PWRT = ON
#pragma config WDT = OFF
#pragma config MCLRE = OFF     //MCLR is disabled
#pragma config LVP = OFF

/*void delay1s() {
	Delay10KTCYx(200);
}
*/
//User defined putc for user defined output stream
void _user_putc(unsigned char c) {
	send_data(c); //Send character to LCD
}

void main() {
	OSCCON = 0b01110010; //8 MHz
	TRISB = 0x00; //PORTC is all output
	stdout = _H_USER; //Set to user-defined output stream via _user_putc

	lcd_init(); //Initialize the LCD
	send_cmd(0x0C); //Turn off cursor

	set_cursor(1, 1); //Set cursor to row 1, column 1
	printf((far rom char*)"Hello!");; //Print "Hello!" to the LCD

	set_cursor(2, 1); //Set cursor to row 2, column 1
	printf((far rom char*)"HD44780");

	while(1) {
		delay250ms(); //Scroll the display 1 character right every 250 ms
		sc_r();
	}
}